'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('./rap');

var CLASS_NAME = 'AliAlbum';

var album = {
  photoPicker: function photoPicker(param, notify) {
    param.timeout = 6e5;
    return new Promise(function (resolve, reject) {
      (0, _rap.call)({
        className: CLASS_NAME,
        methodName: 'photoPicker',
        param: param
      }, notify).then(resolve).catch(reject);
    });
  },
  uploadPhoto: function uploadPhoto(param, notify) {
    param.timeout = 6e5;
    return new Promise(function (resolve, reject) {
      (0, _rap.call)({
        className: CLASS_NAME,
        methodName: 'uploadPhoto',
        param: param
      }, notify).then(resolve).catch(reject);
    });
  },
  savePhotos: function savePhotos(param, notify) {
    param.timeout = 1e4;
    return new Promise(function (resolve, reject) {
      (0, _rap.call)({
        className: CLASS_NAME,
        methodName: 'savePhotos',
        param: param
      }, notify).then(resolve).catch(reject);
    });
  }
};

exports.default = album;
module.exports = exports['default'];