'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('../rap');

var _rap2 = _interopRequireDefault(_rap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AliWangwang = {
  openChat: function openChat(param) {
    if (typeof param === 'string') {
      param = {
        loginId: param
      };
    };

    return _rap2.default.invoke({
      className: 'aliwangwang',
      methodName: 'openChat',
      param: param
    });
  },
  sendMessage: function sendMessage(param) {
    return _rap2.default.invoke({
      className: 'aliwangwang',
      methodName: 'sendMessage',
      param: param
    });
  },
  isLogin: function isLogin(param) {
    if (typeof param === 'string') {
      param = {
        loginId: param
      };
    };

    return _rap2.default.invoke({
      className: 'aliwangwang',
      methodName: 'isLogin',
      param: param
    });
  }
};

exports.default = AliWangwang;
module.exports = exports['default'];