'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('./rap');

var _rap2 = _interopRequireDefault(_rap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CLASS_NAME = 'device';

function getDeviceMsg() {
  var device = {
    type: undefined, // 类型
    model: undefined, // 名称
    vender: undefined, // 供应商
    ttid: undefined, // 渠道标识
    utdid: undefined, // 设备标识
    getInfo: function getInfo() {
      var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

      return _rap2.default.call({
        className: CLASS_NAME,
        methodName: 'getInfo'
      });
    }
  };

  return device;
}

var device = getDeviceMsg();

exports.default = device;
module.exports = exports['default'];