'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('./rap');

var _util = require('./util');

var _clipboard = (0, _rap.requireModule)('clipboard');

var clipboard = {
  setString: function setString(str) {
    if (typeof str === 'string') {
      _clipboard.setString(str);
    } else {
      _util.logger.error('arguments type error');
    }
  },
  getString: function getString(callback) {
    _clipboard.getString(function (res) {
      callback && callback(res);
    });
  }
};

exports.default = clipboard;
module.exports = exports['default'];