'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _rap = require('./rap');

var _rap2 = _interopRequireDefault(_rap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CLASS_NAME = 'ui';

var Loading = {
  showLoading: function showLoading(options) {
    options = options || {};
    var param = {};
    if (options.iconImage) {
      param.iconImage = options.iconImage;
    }
    if (options.text) {
      param.text = options.text;
    }
    return _rap2.default.call({
      className: CLASS_NAME,
      methodName: 'showLoading',
      param: param
    });
  },
  hideLoading: function hideLoading() {
    return _rap2.default.call({
      className: CLASS_NAME,
      methodName: 'hideLoading',
      param: {}
    });
  }
};

exports.default = Loading;
module.exports = exports['default'];